
Redmine - Defect #20677

Custom fields with multiple values required by worklow can be blank

2015-09-04 23:50 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 2.6.8   

Resolution: Fixed Affected version:  

Description

How to simulate:

1/ create new cf type list, non-required, select multiple values

2/ set cf as required in workflow

3/ update issue (cf is marked with * as required)

4/ issue will be saved without an error, even if you don't select any value

How it should work?

Validation error should be shown, because the custom field is required.

Fix & Test included

Related issues:

Has duplicate Redmine - Defect #17039: Custom field Closed

Associated revisions

Revision 14670 - 2015-10-14 20:02 - Jean-Philippe Lang

List custom fields with multiple values set as required by workflow can be blank (#20677).

Patch by Pavel Rosický.

Revision 14799 - 2015-11-07 09:10 - Jean-Philippe Lang

Merged r14670 (#20677).

Revision 14800 - 2015-11-07 09:12 - Jean-Philippe Lang

Merged r14670 (#20677).

Revision 14801 - 2015-11-07 09:16 - Jean-Philippe Lang

Backported r14670 (#20677).

History

#1 - 2015-09-07 20:38 - Pavel Rosický

Tested on master & stable 3.1.0

Environment:

Redmine version                3.1.0.devel.14542

Ruby version                   2.1.5-p273 (2014-11-13) [i386-mingw32]

Rails version                  4.2.4

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.13

Filesystem

Redmine plugins:

no plugin installed

#2 - 2015-10-04 05:50 - Toshi MARUYAMA

- Target version set to 3.2.0
#3 - 2015-10-14 20:03 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from Workflow is ignored on custom fields with multiple values to Custom fields with multiple values required by worklow can be

blank

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.2.0 to 2.6.8

Fix applied in r14670, thanks.

#4 - 2015-11-07 09:16 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

#5 - 2021-07-31 09:53 - Go MAEDA

- Has duplicate Defect #17039: Custom field added

Files

issues_controller_test.rb.patch 10.2 KB 2015-09-04 Pavel Rosický

issue.rb.patch 522 Bytes 2015-09-04 Pavel Rosický
